Bug 28223 - javascript source not reloaded if page is reloaded and breakpoint was set in that source
Summary: javascript source not reloaded if page is reloaded and breakpoint was set in ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-12 12:30 PDT by Patrick Mueller
Modified: 2010-01-12 08:51 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Mueller 2009-08-12 12:30:49 PDT
Test case:

- browser to http://www.nytimes.com/
- bring up web inspector
- switch to scripts panel
- find "embed.js" in the list of scripts (any script will likely do)
- set a breakpoint in some main-line code in that script
- back in the browser window, reload the page
- focus back on web inspector, you'll see the source file you set the break point SHOULD be displayed, but is a big white empty area instead
- breakpoint is actually paused - check your call stack

Was able to repeat with a couple of different sites.

Seems like this must be relatively new, I reload a lot.  Or maybe it's the breakpoint which gets hit during early loading of the page
Comment 1 Patrick Mueller 2009-08-12 12:54:34 PDT
Additional odd behavior.

- run the test case as above
- set the breakpoint to disabled
- close web inspector
- traverse to another web site in the same window
- now go back to the site with the breakpoint set
- you can now view the source of the file with the breakpoint
- the original breakpoint is still in the breakpoint sidebar, but is not annotated in the source
- enabling the breakpoint doesn't cause the debugger to stop in that code anymore
- the breakpoint is a zombie in the breakpoint sidebar at this point
Comment 2 Patrick Mueller 2009-11-04 09:04:38 PST
I think this bug captured a bunch of different problems, most of which have been resolved, so I think we can close at this point.

The issue regarding "zombie" breakpoints in the sidebar is basically a DUP of bug 30659.
Comment 3 Vincent Bray 2010-01-12 06:07:12 PST
I'm still seeing this behaviour using both WebKit 4.0.4 and WebKit nightlies as of 12th Jan 2010. Specifically, when reloading a page after having set a breakpoint in the Web Inspector, the WI shows a blank instead of the script. This makes it impossible to debug code as it is initially read by the browser.
Comment 4 Patrick Mueller 2010-01-12 07:21:38 PST
I'm seeing it again as well.  Load up my Dojo Flashcard demo locally - http://localhost/[path-to-dojo]/demos/flashCards/demo.html - set a breakpoint in loader.js somewhere, reload the page, then can no longer see any source in loader.js, though everything else is fine.

Smells like some kind of timing issue.

Not sure what the protocol for re-opening bugs is.  Should we open a new bug?  If not, at least add the regulars to the cc list.
Comment 5 Timothy Hatcher 2010-01-12 08:51:26 PST
I don't remember how to reopen a bug, it isn't obvious like it was in older buzillas. JUst make a new bug.